#
# scpkt3.rb
#
# $Id: scpkt3.rb,v 1.1 2000/11/21 03:15:32 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nx = 73
ny = 37
xmin = 0
xmax = 360
ymin = -90
ymax = 90

p1 = NArray.sfloat(nx*ny)
p2 = NArray.sfloat(nx*ny)

#-- data ---
i = 0
File.foreach("t810630.dat") do |line|
  line.split(" ").each do |data|
    p1[i] = data.to_f
    i += 1
  end
end
i = 0
File.foreach("t811231.dat") do |line|
  line.split(" ").each do |data|
    p2[i] = data.to_f
    i += 1
  end
end
p1.reshape(nx, ny)
p2.reshape(nx, ny)

190.step(245, 5) do |r|
  amin=r
  amax=r+5
#       IDX=(R-180)*1.4*1000+999
  idx=((r-170)*1.25).to_i*1000+999
  uestlv(amin, amax, idx)
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sglset('LSOFTF', false)
umlset('LGRIDMJ', false)
umrset('DGRIDMN', 30.0)
umiset('ITYPEMN', 1)
umiset('ITYPEOUT', 1)
sgfrm

sglset('L2TO3', true)
#     CALL SCSEYE(-1.0, -1.5,  2.0 )
scsobj(0.5, 0.5, 0.0)
scspln(1, 2, -0.3)
scsprj

sgssim(0.12, 0.0, 0.0)
sgsmpl(180.0, 90.0, 0.0)
sgsvpt(0.1, 0.9, 0.1, 0.9)
sgswnd(xmin, xmax, ymin, ymax)
sgstxy(-180.0, 180.0, -90.0, 90.0)
sgstrn(isgtrc('MER'))
sgstrf

sglset('LCLIP', true)
slpwwr(1)

uetone(p1, nx, nx, ny)
umpmap('coast_world')
umpglb
slpvpr(1)

sglset('LCLIP', false)
sgtxzv(0.5, 0.95, 'Temp. : 10 hPa : Jun 30, 1981', 0.025, 0, 0, 3)

scspln(1, 2, 0.4)
#     CALL SGRSET( 'YOFF3', -0.25 )
scsprj

sglset('LCLIP', true)
slpwwr(1)

uetone(p2, nx, nx, ny)
umpmap('coast_world')
umpglb
slpvpr(1)

sglset('LCLIP', false)
sgtxzv(0.5, 0.95, 'Temp. : 10 hPa : Dec 31, 1981', 0.025, 0, 0, 3)

sgcls

