#
# u2d6.rb
#
# $Id: u2d6.rb,v 1.1 2000/11/21 03:15:45 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nx = 11
ny = 11
xmin = -1
xmax = 1
ymin = -1
ymax = 1
u = NArray.sfloat(nx, ny)
v = NArray.sfloat(nx, ny)

#-- data ---
for j in 0..ny-1
  for i in 0..nx-1
    x = xmin + (xmax-xmin)*i/(nx-1).to_f
    y = ymin + (ymax-ymin)*j/(ny-1).to_f
    u[i,j] =  x * 0.1
    v[i,j] = -y
  end
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

grswnd(xmin, xmax, ymin, ymax)
grsvpt(0.2, 0.8, 0.2, 0.8)
grstrn(1)
grstrf

usdaxs

uglset('LNRMAL', false)
ugrset('XFACT1', 0.5)
ugrset('YFACT1', 0.05)
uglset('LUNIT', true)
ugrset('VXUNIT', 0.1)
ugrset('VYUNIT', 0.1)
ugrset('VXUOFF', 0.06)
ugsut('X', 'U')
ugsut('Y', 'V')
ugvect(u, nx, v, nx, nx, ny)

grcls

